<?php
include("session.php");
include("../db.php");

$anagr = urldecode(strip_tags(trim($_REQUEST['anagrafica'])));
$codfis = urldecode(trim($_REQUEST['codfispiva']));

$nris = 30;

if(!empty($anagr))
	$query = "
	SELECT SQL_CALC_FOUND_ROWS *, MATCH(anagrafica) AGAINST('".$anagr."') AS attinenza FROM imprese 
	WHERE MATCH(anagrafica) AGAINST('".$anagr."') 
	ORDER BY attinenza DESC 
	LIMIT ".intval($_REQUEST['from']).",".$nris."
	";
else if(!empty($codfis))
	$query = "
	SELECT SQL_CALC_FOUND_ROWS * FROM imprese
	WHERE piva = '".$codfis."' AND piva <> ''
	OR codfisc = '".$codfis."' AND codfisc <> ''
	ORDER BY anagrafica
	LIMIT ".intval($_REQUEST['from']).",".$nris."
	";
$result = mysql_query($query);
if(mysql_num_rows($result) > 0){
	$founded = true;
	$imprese = '<table class="tableImprese" cellspacing="0" cellpadding="0">';
	while($row = mysql_fetch_array($result)){
		
		$anagrafica = strtoupper($row['anagrafica']);
		$indirizzo = strtoupper($row['indirizzo']);
		$via = $indirizzo;
		if(trim($comune = strtoupper($row['comune'])) <> '' && !empty($indirizzo))
			$indirizzo .= ', '.$comune;
		else if(!empty($indirizzo))
			$indirizzo = $comune;
		if(trim($prov = strtoupper($row['prov'])) <> '')
			$indirizzo .= ' ('.$row['prov'].')';
		$codfisc = strtoupper($row['codfisc']);
		$piva = strtoupper($row['piva']);
		$attivita = strtoupper($row['attivita']);
		$telefono = strtoupper($row['telefono']);
		$fax = strtoupper($row['fax']);
		$email = strtoupper($row['email']);
		$assoc = strtoupper($row['associata']);
		$esterna = strtoupper($row['esterna']);
		
		$imprese .= '
		<tr><td colspan="3" class="anagrafica">'.$anagrafica.'</td></tr>
		<tr><td rowspan="3" class="aggiungi" onclick="impreseInsert(\'rlst\',this)">
		<img src="/reserved/images/p5-impadd.gif" alt="Aggiungi impresa al documento" title="Aggiungi impresa al documento" />
		<input name="imp_anagrafica" type="hidden" value="'.$anagrafica.'" />
		<input name="imp_indirizzo" type="hidden" value="'.$via.'" />
		<input name="imp_comune" type="hidden" value="'.$comune.'" />
		<input name="imp_prov" type="hidden" value="'.$prov.'" />
		<input name="imp_codfisc" type="hidden" value="'.$codfisc.'" />
		<input name="imp_piva" type="hidden" value="'.$piva.'" />
		<input name="imp_attivita" type="hidden" value="'.$attivita.'" />
		<input name="imp_telefono" type="hidden" value="'.$telefono.'" />
		<input name="imp_fax" type="hidden" value="'.$fax.'" />
		<input name="imp_email" type="hidden" value="'.$email.'" />
		<input name="imp_assoc" type="hidden" value="'.$assoc.'" />
		<input name="imp_esterna" type="hidden" value="'.$esterna.'" />
		</td></tr>
		<tr><td colspan="2" class="indirizzo"><strong>Indirizzo:</strong> '.$indirizzo.'</td></tr>
		<tr><td class="codfispiva"><strong>Cod. Fiscale:</strong> '.$codfisc.'</td>
		<td class="codfispiva"><strong>P.Iva:</strong> '.$piva.'</td></tr>
		';
	}
	$imprese .= '</table>';
}else{
	$imprese = 'La ricerca non ha prodotto risultati';
}
//navigazione
if($founded){
	$result2 = mysql_query("SELECT FOUND_ROWS() AS tot");
	$tot = mysql_result($result2,0,'tot');
	//rimuovo querystring
	$url = current(explode("?",$_SERVER['REQUEST_URI']));
	//calcolo n pagine
	$npag = ceil($tot / $nris);
	for($i=0;$i<$npag;$i++){
		intval($_REQUEST['from']) / $nris == $i ? $style = ' style="color:#F00;font-weight:bold"' : $style = '';
		$cur = $i + 1;
		$navigazione .= '<a'.$style.' onclick="get(\''.$url.'?anagrafica='.urlencode($anagr).'&codfispiva='.urlencode($codfis).'&from='.($i * $nris).'\',\'p5-mainContent\')">'.$cur.'</a> ';
	}
	
	intval($_GET['from']) == 0 ? $da = mysql_num_rows($result) : $da = intval($_GET['from']) + $nris;
	$da > $tot ? $da = $tot : $da;
	
	$navigazione = '<div class="p5-naviga"><strong>Pagina</strong> '.$navigazione.'</div>';
	$visualizzati = ': '.$da.' su '.$tot;
}
echo '
<div class="p5-subtitle">
	<div class="p5-subtitle-title">Risultati ricerca '.intval($visualizzati).'</div>
	<img onclick="impreseInsertManual(\'impHide\')" src="/reserved/images/p5-impaddmanual.gif" />
	<img onclick="get(\'/reserved/imprese.php\',\'p5-content\')" src="/reserved/images/p5-newsearch.gif" />
</div>
<div id="p5-contentScroll">'.$imprese.'</div>';
echo $navigazione;
?>